Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.security.crypto.cert
Class PKCS12Bag

`java.lang.Object
oracle.security.crypto.cert.PKCS12Bag`

All Implemented Interfaces:
  oracle.security.crypto.asn1.ASN1Object, oracle.security.crypto.util.Streamable

Direct Known Subclasses:
  PKCS12CertBag, PKCS12CRLBag, PKCS12KeyBag, PKCS12SafeContentsBag, PKCS12SecretBag, PKCS12ShroudedKeyBag

public abstract class PKCS12Bag
extends java.lang.Object
implements oracle.security.crypto.asn1.ASN1Object

A PKCS #12 safe bag. Supports PKCS #12 bag types `keyBag`, `pkcs-8ShroudedKeyBag`, `certBag`, `secretBag` and `safeContentsBag`.

See Also:
  `PKCS12KeyBag`, `PKCS12CertBag`, `PKCS12ShroudedKeyBag`, `PKCS12SecretBag`, `PKCS12SafeContentsBag`

Constructor Summary
`protected` | `PKCS12Bag()`

Method Summary
`java.lang.String` | `getFriendlyName()`
`byte[]` | `getLocalKeyID()`
`static PKCS12Bag` | `inputBag(PKCS12Safe parent, java.io.InputStream is)`
`oracle.security.crypto.asn1.ASN1Set` | `outputAttrsASN1()`
`void` | `setFriendlyName(java.lang.String friendlyName)`
`void` | `setLocalKeyID(byte[] localKeyID)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface oracle.security.crypto.util.Streamable
`input, length, output`

Constructor Detail

### PKCS12Bag

    protected PKCS12Bag()

Method Detail

### inputBag

    public static PKCS12Bag inputBag(PKCS12Safe parent,
                                     java.io.InputStream is)
                              throws java.io.IOException

  Throws:
    `java.io.IOException`

### getFriendlyName

    public java.lang.String getFriendlyName()

### setFriendlyName

    public void setFriendlyName(java.lang.String friendlyName)

### getLocalKeyID

    public byte[] getLocalKeyID()

### setLocalKeyID

    public void setLocalKeyID(byte[] localKeyID)

### outputAttrsASN1

    public oracle.security.crypto.asn1.ASN1Set outputAttrsASN1()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Security Developer Tools Security Engine Java API Reference 10g Release 3 (10.1.3) B25381-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005, 2006 , Oracle. All rights reserved.